using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Reflection;

namespace Bricks
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else       
                MinimizeBox = true;
            #endif

                if (IsDesktopWindows)
                {
                    MessageBox.Show("Программа запущена на настольном компьютере");
                }
        }

        private void cboList_SelectedValueChanged(object sender, EventArgs e)
        {
            string curItem = cboList.SelectedItem.ToString();

            switch (curItem)
            {
                // Узнаем версию установленной  .NET Compact Framework
                case "Версия  .NET Compact Framework":
                    txtInfo.Text = Environment.Version.ToString();
                    break;

                // Узнаем версию операционной системы
                case "Версия операционной системы":
                    txtInfo.Text = Environment.OSVersion.ToString();
                    break;

                // Получить путь запущенного приложения
                case "Получить путь запущенного приложения (1 способ)":
                    txtInfo.Text = Path.GetDirectoryName(Assembly.GetExecutingAssembly().GetModules()[0].FullyQualifiedName).ToString();
                    break;

                // Получить путь запущенного приложения
                case "Получить путь запущенного приложения (2 способ)":
                    txtInfo.Text = Path.GetDirectoryName(Assembly.GetExecutingAssembly().GetName().CodeBase);
                    break;

                // Получить путь к специальной папке Start Up
                case "Получить путь к специальной папке Start Up":
                    txtInfo.Text = Environment.GetFolderPath(Environment.SpecialFolder.Startup).ToString();
                    break;

                //Узнать имя устройства
                case "Узнать имя устройства":
                    txtInfo.Text = System.Net.Dns.GetHostName().ToString();
                    break;
              
                //Открыть файл программой по умолчанию
                case "Открыть файл программой по умолчанию":
                    System.Diagnostics.Process.Start("\\Windows\\default_0419.htm", null);
                    break;
            }
        }

        public static bool IsDesktopWindows
        {
            get
            {
                return Environment.OSVersion.Platform != PlatformID.WinCE;
            }
        }

    }
}